Open CASCADE Technology: Law_Laws Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Law_Laws Class Reference

`#include <Law_Laws.hxx>`

## Public Member Functions
| Law_Laws ()
| Law_Laws (const Law_Laws &Other)
void | Assign (const Law_Laws &Other)
void | operator= (const Law_Laws &Other)
Standard_Integer | Extent () const
void | Clear ()
| ~Law_Laws ()
Standard_Boolean | IsEmpty () const
void | Prepend (const Handle< Law_Function > &I)
void | Prepend (const Handle< Law_Function > &I, Law_ListIteratorOfLaws &theIt)
void | Prepend (Law_Laws &Other)
void | Append (const Handle< Law_Function > &I)
void | Append (const Handle< Law_Function > &I, Law_ListIteratorOfLaws &theIt)
void | Append (Law_Laws &Other)
Handle< Law_Function > & | First () const
Handle< Law_Function > & | Last () const
void | RemoveFirst ()
void | Remove (Law_ListIteratorOfLaws &It)
void | InsertBefore (const Handle< Law_Function > &I, Law_ListIteratorOfLaws &It)
void | InsertBefore (Law_Laws &Other, Law_ListIteratorOfLaws &It)
void | InsertAfter (const Handle< Law_Function > &I, Law_ListIteratorOfLaws &It)
void | InsertAfter (Law_Laws &Other, Law_ListIteratorOfLaws &It)

## Constructor & Destructor Documentation

Law_Laws::Law_Laws | ( |  | ) |

Law_Laws::Law_Laws | ( | const Law_Laws & | Other | ) |

Law_Laws::~Law_Laws | ( |  | ) |
| inline

## Member Function Documentation

void Law_Laws::Append | ( | const Handle< Law_Function > & | I | ) |

void Law_Laws::Append | ( | const Handle< Law_Function > & | I,
|  | Law_ListIteratorOfLaws & | theIt
| ) |  |

void Law_Laws::Append | ( | Law_Laws & | Other | ) |

void Law_Laws::Assign | ( | const Law_Laws & | Other | ) |

void Law_Laws::Clear | ( |  | ) |

Standard_Integer Law_Laws::Extent | ( |  | ) | const

Handle< Law_Function >& Law_Laws::First | ( |  | ) | const

void Law_Laws::InsertAfter | ( | const Handle< Law_Function > & | I,
|  | Law_ListIteratorOfLaws & | It
| ) |  |

void Law_Laws::InsertAfter | ( | Law_Laws & | Other,
|  | Law_ListIteratorOfLaws & | It
| ) |  |

void Law_Laws::InsertBefore | ( | const Handle< Law_Function > & | I,
|  | Law_ListIteratorOfLaws & | It
| ) |  |

void Law_Laws::InsertBefore | ( | Law_Laws & | Other,
|  | Law_ListIteratorOfLaws & | It
| ) |  |

Standard_Boolean Law_Laws::IsEmpty | ( |  | ) | const

Handle< Law_Function >& Law_Laws::Last | ( |  | ) | const

void Law_Laws::operator= | ( | const Law_Laws & | Other | ) |
| inline

void Law_Laws::Prepend | ( | const Handle< Law_Function > & | I | ) |

void Law_Laws::Prepend | ( | const Handle< Law_Function > & | I,
|  | Law_ListIteratorOfLaws & | theIt
| ) |  |

void Law_Laws::Prepend | ( | Law_Laws & | Other | ) |

void Law_Laws::Remove | ( | Law_ListIteratorOfLaws & | It | ) |

void Law_Laws::RemoveFirst | ( |  | ) |

The documentation for this class was generated from the following file:

- Law_Laws.hxx